<?php 

class controller_addon_tinymce extends addon {
	
	public function action_index() {
		$this->page['head']  = '<!-- START tinyMCE -->' . "\n\t";
		$this->page['head'] .= $this->add_js_file(SITE_URL . '/modules/addons/tinymce/js/tinymce/tinymce.min.js');
		$this->page['head'] .= $this->add_js("
			
			tinymce.init({
				selector: '.wysiwyg',
				height: 400,
				plugins: [
				  'advlist autolink link image lists charmap hr anchor pagebreak spellchecker',
				  'searchreplace wordcount visualblocks visualchars code fullscreen insertdatetime media nonbreaking',
				  'table contextmenu directionality emoticons template paste textcolor'
				]
			});
			
		");
		$this->page['head'] .= '<!-- END tinyMCE -->' . "\n\t";
		
		
		return $this->page;
		
	}
}